Name:    kde-edu-step
Summary: Interactive Physics Simulator 
Version: 14.12.3
Release: %mkrel 3
Group:   Graphical desktop/KDE4
License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/step
Source0: http://download.kde.org/stable/%{version}/src/step-%{version}.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: eigen2
BuildRequires: %{_lib}gsl-devel
BuildRequires: %{_lib}qalculate-devel
Requires: kde-runtime >= %{version}

%description
%{summary}.

#german
%description -l de
Step ist ein interaktiver Physiksimulator, mit dem Sie die Welt der Physik 
durch Simulationen erforschen können. Dazu platzieren Sie einige Körper im 
Versuchsfenster und fügen Kräfte wie die Gravitation oder Federn hinzu. 
Klicken Sie dann auf den Knopf Simulation starten und beobachten Sie, wie 
sich Ihr Experiment nach den Gesetzen der Physik verändert. Jede Eigenschaft 
von Körpern oder Kräften lässt sich sogar in der laufenden Simulation ändern. 
Mit Step können Sie erfahren, wie die Physik in der Welt funktioniert. 

%files
%defattr(-,root,root)
#%doc AUTHORS ChangeLog COPYING README TODO
%{_kde_bindir}/step
%{_kde_appsdir}/step/
%{_kde_datadir}/applications/kde4/step.desktop
%{_kde_datadir}/appdata/step.appdata.xml
%{_kde_datadir}/config.kcfg/step.kcfg
%{_kde_configdir}/step.knsrc
%{_kde_iconsdir}/hicolor/*/*/step.*
%{_kde_docdir}/HTML/*/step/*

%prep
%setup -q -n step-%version

%build 
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
rm -fr %buildroot
cd build
make DESTDIR=%buildroot install

#MENU Entries
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Geography" \
  --remove-category="ComputerScience" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop

%clean
rm -fr %buildroot

%changelog
* Tue Jul 21 2015 pinoc <vogtpet at gmail.com> 14.12.3-3pclos2015
- rebuild on 15.04.3

* Sat Apr 18 2015 pinoc <vogtpet at gmail.com> 14.12.3-2pclos2015
- rebuild on 15.04

* Mon Mar 09 2015 bb <bb> 14.12.3-1pclos2015
- update

* Thu Nov 13 2014 pinoc <vogtpet at gmail.com> 4.14.3-1pclos2014
- 4.14.3

* Tue Jul 15 2014 pinoc <vogtpet at gmail.com> 4.13.3-1pclos2014
- 4.13.3

